Name:           tintii
Version:        2.9.0
Release:        1%{?dist}
Summary:        Selective colour, saturation and hue shift effects utility
License:        GPLv2
URL:            http://www.indii.org/software/tintii
Source0:        http://www.indii.org/files/tint/releases/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        http://www.indii.org/images/%{name}_128.png
BuildRequires:  ImageMagick
BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  wxGTK-devel
Requires:       hicolor-icon-theme

%description
Tintii is a utility for selective colour, saturation and hue shift
photo adjustments. Its unique ability is to automatically detect the
major colours in a photo to allow colour-specific changes. This makes
adjustments quick, easy, and more precise than other means.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

# Desktop file.
desktop-file-install %{S:1} \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install source icon.
install -pDm644 %{S:2} \
    %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

# Convert to various sizes, via the 128x128 source.
for size in 96x96 72x72 64x64 48x48 32x32 24x24 22x22 16x16 ; do
    install -pdm755 \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps
    convert -resize ${size} %{S:2} \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps/%{name}.png
done

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING README
%{_bindir}/tintii
%{_datadir}/tintii/
%{_datadir}/applications/tintii.desktop
%{_datadir}/icons/hicolor/*x*/apps/tintii.png

%changelog
* Mon Jun 23 2014 Christopher Meng <rpm@cicku.me> - 2.9.0-1
- Update to 2.9.0

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.8.2-2
- Rebuild for boost 1.55.0

* Tue Jan 21 2014 Christopher Meng <rpm@cicku.me> - 2.8.2-1
- Update to 2.8.2

* Wed Sep 14 2011 Christopher Meng <rpm@cicku.me> - 2.3.0-1
- Initial Package.
